Subject: Re: x86(host) --> ppc(tgt) cross-tool-chain

From: Karim Yaghmour <[email-masked]>
Date: Fri, 06 Jun 2003 11:10:52 -0400

Lokesh Kumar wrote:
> I built the toolchain on x86 host for PPC, and I used
>
> GCC-2.95.3
> GLIBC-2.2.3
> Binutils-2.11.92
>
> I did not use Karim's book. I went with "Embedded Linux Interfacing ...."
> book.

:)

I have to ask: Did this toolchain actually work for you on the target?
I mean, did you try using glibc-2.2.3 on the PPC target? From I've
seen, gcc 2.95.3 with glibc 2.2.3 will successfully generate a glibc,
but the resulting glibc will core dump on the target.

Karim

--
Author, Speaker, Developer, Consultant
Pushing Embedded and Real-Time Linux Systems Beyond the Limits
http://www.opersys.com || [email-masked] || 514-812-4145

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/